Diff actionpack-5.1.7 with a actionpack-5.2.3

/usr/portage/dev-ruby/actionpack/actionpack-5.2.3.ebuild 2019-05-01 21:09:00.000000000 +0300
3 3

  
4 4
EAPI=6
5 5

  
6
USE_RUBY="ruby23 ruby24"
6
USE_RUBY="ruby23 ruby24 ruby25 ruby26"
7 7

  
8 8
RUBY_FAKEGEM_TASK_DOC=""
9 9
RUBY_FAKEGEM_DOCDIR="doc"
......
13 13

  
14 14
RUBY_FAKEGEM_BINWRAP=""
15 15

  
16
inherit ruby-fakegem versionator
16
inherit ruby-fakegem eapi7-ver
17 17

  
18 18
DESCRIPTION="Eases web-request routing, handling, and response"
19 19
HOMEPAGE="https://github.com/rails/rails"
20 20
SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
21 21

  
22 22
LICENSE="MIT"
23
SLOT="$(get_version_component_range 1-2)"
24
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
23
SLOT="$(ver_cut 1-2)"
24
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux"
25 25
IUSE=""
26 26

  
27 27
RUBY_S="rails-${PV}/${PN}"
......
30 30
	~dev-ruby/activesupport-${PV}
31 31
	~dev-ruby/actionview-${PV}
32 32
	dev-ruby/rack:2.0
33
	>=dev-ruby/rack-test-0.6.3:0.6
33
	>=dev-ruby/rack-test-0.6.3:*
34 34
	>=dev-ruby/rails-html-sanitizer-1.0.2:1
35 35
	dev-ruby/rails-dom-testing:2
36 36
"
......
39 39
	test? (
40 40
		dev-ruby/mocha:0.14
41 41
		dev-ruby/bundler
42
		>=dev-ruby/capybara-2.13:2
42
		>=dev-ruby/capybara-2.15
43 43
		~dev-ruby/activemodel-${PV}
44 44
		>=dev-ruby/rack-cache-1.2:1.2
45 45
		www-servers/puma
......
52 52
		-e '/:job/,/end/ s:^:#:' \
53 53
		-e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
54 54
	rm ../Gemfile.lock || die
55
	sed -i -e '1igem "rack-test", "~>0.6.3"; gem "activemodel", "~>5.1.0"; gem "railties", "~>5.1.0"' test/abstract_unit.rb || die
56 55
}
Thank you!